### Method

# Ide PtyIntercept init

#### Declaration

    gboolean
    ide_pty_intercept_init (
      IdePtyIntercept* self,
      IdePtyFd fd,
      GMainContext* main_context
    )

#### Description

Creates a enw `IdePtyIntercept` using the PTY master fd `fd`.

A new PTY slave is created that will communicate with `fd`. Additionally, a new PTY master is created that can communicate with another side, and will pass that information to `fd` after extracting any necessary information.

Available since: | 3.32

#### Parameters

`fd` | `IdePtyFd`
| The PTY master fd, possibly from a `VtePty`.
`main_context` | `GMainContext`
| A `GMainContext` or `NULL` for thread-default.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if successful; otherwise `FALSE`.